
        <!-- app invoice View Page -->
<section class="invoice-view-wrapper ">
<div class="row">
<!-- invoice view page -->
<div class="col xl9 m8 s12" id="content">
  <div class="card">
    <div class="card-content invoice-print-area">
      <!-- header section -->
      <div class="row invoice-date-number">
        <div class="col xl4 s12">
          <span class="invoice-number mr-1">N°contrat#</span>
          <span>{{contrat.id}}</span>
        </div>
        <div class="col xl8 s12">
          <div class="invoice-date display-flex align-items-center flex-wrap">
            <div class="mr-3">
              <small>Période de:</small>
              <span>{{contrat.periodede}}</span>
            </div>
            <div>
              <small> à:</small>
              <span>{{contrat.periodea}}</span>
            </div>
          </div>
        </div>
      </div>
      <!-- logo and title -->
      <div class="row mt-3 invoice-logo-title">
        <div class="col m6 s12 display-flex invoice-logo mt-1 push-m6">
          <img src="assets/app-assets/images/gallery/pixinvent-logo.png" alt="logo" height="46" width="164">
        </div>
        <div class="col m6 s12 pull-m6">
          <h4 class="indigo-text">Contrat</h4>
          <span>{{contrat.date}}</span>
        </div>
      </div>
      <div class="divider mb-3 mt-3"></div>
      <!-- invoice address and contact -->
      <div class="row invoice-info">
        <div class="col m6 s12">
          <h6 class="invoice-from">Agence</h6>
          <div class="invoice-address">
            <span>{{agence.nom}}</span>
          </div>
          <div class="invoice-address">
            <span>{{agence.ville}} {{agence.adressepostale}}</span>
          </div>
          <div class="invoice-address">
            <span>{{email}}</span>
          </div>
          <div class="invoice-address">
            <span>{{agence.tel}}</span>
          </div>
        </div>
        <div class="col m6 s12">
          <div class="divider show-on-small hide-on-med-and-up mb-3"></div>
          <h6 class="invoice-to">Client</h6>
          <div class="invoice-address">
            <span>{{client.nom}}  {{client.prenom}}  {{client.cin}}</span>
          </div>
          <div class="invoice-address">
            <span>{{client.ville}}  {{client.codepostale}} </span>
          </div>
          <div class="invoice-address">
            <span>{{client.email}}</span>
          </div>
          <div class="invoice-address">
            <span>{{client.tel1}}</span>
          </div>
        </div>
      </div>
      <div class="divider mb-3 mt-3"></div>
      <!-- product details table-->
      <div class="invoice-product-details">
        <table class="striped responsive-table">
          <thead>
            <tr>
              <th>Immatricule</th>
              <th>Periode de </th>
              <th>Periode a</th>
              <th>Nombre jour</th>
              <th class="right-align">Prix</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let v of voitures; index as i;">
              <td>{{v.voiture_id}}</td>
              <td>{{v.periodede}}</td>
              <td>{{v.periodea}}</td>
              <td>{{v.nbjour}}</td>
              <td class="indigo-text right-align">{{v.prix}} Dt</td>
            </tr>
           
            
          </tbody>
        </table>
      </div>
      <!-- invoice subtotal -->
      <div class="divider mt-3 mb-3"></div>
      <div class="invoice-subtotal">
        <div class="row">
          <div class="col m5 s12">
            <p>.</p>

            <img id='barcode' 
            src="https://api.qrserver.com/v1/create-qr-code/?data={{agence.nom}}&amp;size=100x100" 
            alt="" 
            title="Code" 
            width="100" 
            height="100" />
          </div>
          <div class="col xl4 m7 s12 offset-xl3">
            <ul>
              <li class="display-flex justify-content-between" >
                <span class="invoice-subtotal-title">Prix voiture</span>
                <h6 class="invoice-subtotal-value" style="font-size: 12px;">{{contrat.prixvoiture}} Dt</h6>
              </li>
              <li class="display-flex justify-content-between">
                <span class="invoice-subtotal-title">Prix option</span>
                <h6 class="invoice-subtotal-value" style="font-size: 12px;">{{contrat.prixoption}} Dt</h6>
              </li>
          
              <li class="divider mt-2 mb-2"></li>
              <li class="display-flex justify-content-between">
                <span class="invoice-subtotal-title">Prix totale</span>
                <h6 class="invoice-subtotal-value" style="font-size: 12px;">{{contrat.prixtotal}} Dt</h6>
              </li>
              
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- invoice action  -->
<div class="col xl3 m4 s12">
  <div class="card invoice-action-wrapper">
    <div class="card-content">
      <div class="invoice-action-btn">
        <a href="#"
          class="btn indigo waves-effect waves-light display-flex align-items-center justify-content-center">
          <i class="material-icons mr-4">check</i>
          <span class="text-nowrap">Envoyer contrat</span>
        </a>
      </div>
      <div class="invoice-action-btn">
        <a  class="btn-block btn btn-light-indigo waves-effect waves-light invoice-print">
          <span>Imprimer</span>
        </a>
      </div>
      <div class="invoice-action-btn">
        <a  class="btn-block btn btn-light-indigo waves-effect waves-light">
          <span (click)="Screen()">Telecharge</span>
        </a>
      </div>
      
    </div>
  </div>
</div>
</div>
</section><!-- START RIGHT SIDEBAR NAV -->

